%define		php_name	php%{?php_suffix}
%define		modname	txforward
%define		status		stable
Summary:	%{modname} - Reverse Proxy (web accelerator) PHP compatibility layer
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.7
Release:	6
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	46b80b0f8acfeda5364d8e0812e0a34f
URL:		http://pecl.php.net/package/txforward/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-txforward < 1.0.7-5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Makes reverse-proxing (web accelerator) totally invisible for php
applications. Doesn't require php code modifications to handle
X-Forwarded-For IP.
- Stills allows proxy-aware applications to work with X-Forwarded
  headers and proxy IP address.
- Should work with any web server
- Should work with any proxy server

Using this extension with on a non reverse proxied system will result
in a security issue.

In PECL status of this extension is: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon May 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-txforward.git;a=log;h=auto/th/php-pecl-txforward-1.0.7-6

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> b0daadc
- obsolete old php name
- release 6 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> a9a3f65
- php 5.5 rebuild
- release 5 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 7da91f5
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 7db132c
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> a1c16c6
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 7a71b54
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> bf6120f
- updated to 1.0.7

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2374013
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 2604b4b
- release 2

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 58fc7ab
- fixed previous commit msg

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 3073819
- updated to 1.0.6

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> f30a004
- new

